package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 欠税公告
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("tax_owe_notice")
public class TaxOweNotice {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * sop端 欠税公告明细id
     */
    @TableField("c_tax_owe_notice_data_id")
    private Long cTaxOweNoticeDataId;

    /**
     * 欠税税种
     */
    @TableField("title")
    private String title;

    /**
     * 欠税余额（元）
     */
    @TableField("amount")
    private String amount;

    /**
     * 当前新发生的欠税金额（元）
     */
    @TableField("new_amount")
    private String newAmount;

    /**
     * 发布单位
     */
    @TableField("punish_office")
    private String punishOffice;

    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    @TableField("punish_date")
    private String punishDate;

    /**
     * 欠税公告 0 否 1 是
     */
    @TableField("tax_owe_notice")
    private Integer taxOweNotice;

    /**
     * 视频尽调-欠税公告 0 否 1 是
     */
    @TableField("video_due_diligence_tax_owe_notice")
    private Integer videoDueDiligenceTaxOweNotice;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Long getcTaxOweNoticeDataId() {
        return cTaxOweNoticeDataId;
    }

    public void setcTaxOweNoticeDataId(Long cTaxOweNoticeDataId) {
        this.cTaxOweNoticeDataId = cTaxOweNoticeDataId;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getNewAmount() {
        return newAmount;
    }

    public void setNewAmount(String newAmount) {
        this.newAmount = newAmount;
    }
    public String getPunishOffice() {
        return punishOffice;
    }

    public void setPunishOffice(String punishOffice) {
        this.punishOffice = punishOffice;
    }
    public String getPunishDate() {
        return punishDate;
    }

    public void setPunishDate(String punishDate) {
        this.punishDate = punishDate;
    }
    public Integer getTaxOweNotice() {
        return taxOweNotice;
    }

    public void setTaxOweNotice(Integer taxOweNotice) {
        this.taxOweNotice = taxOweNotice;
    }
    public Integer getVideoDueDiligenceTaxOweNotice() {
        return videoDueDiligenceTaxOweNotice;
    }

    public void setVideoDueDiligenceTaxOweNotice(Integer videoDueDiligenceTaxOweNotice) {
        this.videoDueDiligenceTaxOweNotice = videoDueDiligenceTaxOweNotice;
    }

    @Override
    public String toString() {
        return "TaxOweNotice{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", cTaxOweNoticeDataId=" + cTaxOweNoticeDataId +
            ", title=" + title +
            ", amount=" + amount +
            ", newAmount=" + newAmount +
            ", punishOffice=" + punishOffice +
            ", punishDate=" + punishDate +
            ", taxOweNotice=" + taxOweNotice +
            ", videoDueDiligenceTaxOweNotice=" + videoDueDiligenceTaxOweNotice +
        "}";
    }
}
